Bug 253427 - Error updating koffice with Package Updater
Error updating koffice with Package Updater
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 05:56 EDT by Giuliano Marco
Modified: 2007-12-20 19:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 19:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giuliano Marco 2007-08-19 05:56:41 EDT
Description of problem:

Package Updater (pirut) shows "Updated koffice packages available", but they 
won't install. In fact, after a fresh install of Fedora 7 KDE x86_64, this 
fault prevented all the other updates following this from being installed. It 
was only by unselecting the koffice check box that I managed to update 
everything else.

Here's the error message:
---
Error updating software

There were errors encountered in trying to update the software you selected

Details

file /usr/lib/libkarboncommon.so.0.0.0 from install of 
koffice-libs-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/lib/libkspreadcommon.so.0.0.0 from install of 
koffice-libs-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/lib/kde3/libkarbonepsimport.la from install of 
koffice-filters-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/lib/kde3/libkarbonepsimport.so from install of 
koffice-filters-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/applications/kde/kspread.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/scripts/exporthtml/ExportHtml.pyc from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/scripts/exporthtml/ExportHtml.pyo from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/scripts/scripteditor/ScriptEditor.pyc from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/scripts/scripteditor/ScriptEditor.pyo from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/Business/.directory from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/Business/BalanceSheet.desktop from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/Business/ExpenseReport.desktop from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/Business/Invoice.desktop from install 
of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/Business/PackingSlip.desktop from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/Business/PriceQuotation.desktop from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/General/.directory from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/General/StudentIDCard.desktop from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/General/Worksheet.desktop from install 
of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/HomeFamily/.directory from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/HomeFamily/BMI.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/HomeFamily/CreditCardTracker.desktop 
from install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/HomeFamily/MenuPlan.desktop from 
install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/apps/kspread/templates/HomeFamily/VacationChecklist.desktop 
from install of koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_applixspread_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_csv_export.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_csv_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_dbase_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_excel_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_gnumeric_export.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_gnumeric_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_html_export.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_kexi_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_latex_export.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_opencalc_export.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_opencalc_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspread_qpro_import.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspreadpart.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/services/kspreadscripting.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/templates/SpreadSheet.desktop from install of 
koffice-kspread-1.6.3-9.fc7 conflicts with file from package 
koffice-kspread-1.6.2-3.fc7
file /usr/share/applications/kde/karbon.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/apps/karbon/templates/Basic/.directory from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/apps/karbon/templates/Basic/empty.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_ai_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_eps_export.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_eps_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_kontour_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_msod_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_oodraw_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_png_export.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_ps_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_svg_export.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_svg_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_wmf_export.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_wmf_import.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbon_xcf_export.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbondefaulttools.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbonimagetool.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbonpart.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/services/karbonzoomtool.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/servicetypes/karbon_module.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
file /usr/share/templates/Illustration.desktop from install of 
koffice-karbon-1.6.3-9.fc7 conflicts with file from package 
koffice-karbon-1.6.2-3.fc7
Comment 1 Giuliano Marco 2007-08-19 06:12:33 EDT
After looking in Package Manager, with the intention of uninstalling koffice 
and then reinstalling it, I found there were i386 and x86_64 duplicates, 
possibly the cause of the problem.

There was only one koffice-core (1.6.2-3.fc7.x86_64, but there were the 
following duplicates:

koffice-filters
koffice-karbon
koffice-kexi
koffice-presenter
koffice-kspread
koffice-kword
koffice-libs

After uninstalling all the above, leaving no koffice package selected, I 
installed koffice-suite (1.6.2-3.fc7.x86_64) from Applications -> 
Office/Productivity. When it had finished, I only had the x86_64 packages 
installed. The duplicate i386 ones had gone.

Package updater also no longer reported "updates available", instead it 
showed "There are no updated packages available for your system".

Comment 2 Andreas Bierfert 2007-12-20 19:30:11 EST
Hm this is a really strange thing. However I could not reproduce this here
(being all time x86_64). If the problem appears again feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.